# getRoute

## Description

Display the route on the map from the start position to end position.

## Input / Parameter

| Name            | Description                                                                   | Input Type | Default | Options                              | Required |
| --------------- | ----------------------------------------------------------------------------- | ---------- | ------- | ------------------------------------ | -------- |
| component       | The name of the map component.                                                | Text       | -       | -                                    | Yes      |
| mode            | The route mode to show.                                                       | Text       | -       | DRIVING, WALKING, BICYCLING, TRANSIT | -        |
| startCoordinate | The latitude and longitude of the start position. Format: latitude, longitude | Text       | -       | -                                    | Yes      |
| endCoordinate   | The latitude and longitude of the end position. Format: latitude, longitude   | Text       | -       | -                                    | Yes      |
| waypoints       | The waypoints on the route. Format: \['latitude, longitude']                  | List       | -       | -                                    | -        |

## Output

N/A

## Example

In this example, we will set a route using the getRoute function and display it on the Map component.

### Steps

1. Drag a `button` component and a `map` component to a page in the mobile designer.

   ![](/files/jdkHYuivm4dAFE7geFli)
2. Select the event `press` for the button and drag the function `Map.mapRoute` to the event flow. Fill in the parameters of the function.

   ![](/files/jdLoLf6iBM6yEAZ4SpV8)

### Result

1. The map component should show the route based on the parameters passed in the `Map.mapRoute` function.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/react-native/map/getroute.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
